
/*
 * Copyright (C) 2012 Archie L. Cobbs. All rights reserved.
 *
 * $Id: PersistentObjectListener.java 226 2012-01-18 16:30:35Z archie.cobbs $
 */

package org.dellroad.stuff.pobj;

/**
 * Listener interface for changes to a {@link PersistentObject}.
 *
 * @param <T> type of the root persistent object
 */
public interface PersistentObjectListener<T> {

    /**
     * Handle notification of an updated root object.
     */
    void handleEvent(PersistentObjectEvent<T> event);
}

